# Class ContentBlockLocationCitation

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a citation for content blocks within custom content.

    public class ContentBlockLocationCitation : Citation

Inheritance
  object
  Citation
  ContentBlockLocationCitation

Inherited Members
  Citation.Type
  Citation.CitedText
  Citation.DocumentIndex
  Citation.DocumentTitle
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### ContentBlockLocationCitation()

Initializes a new instance of the ContentBlockLocationCitation class.

    public ContentBlockLocationCitation()

## Properties

### EndBlockIndex

Gets the end block index of the citation.

    [JsonPropertyName("end_block_index")]
    public int EndBlockIndex { get; init; }

#### Property Value

int

### StartBlockIndex

Gets the start block index of the citation.

    [JsonPropertyName("start_block_index")]
    public int StartBlockIndex { get; init; }

#### Property Value

int